FLANG

Public Member Functions | Static Public Member Functions | List of all members
fir::BoxCharType Class Reference

`#include <flang/Optimizer/Dialect/FIRType.h>`

Inheritance diagram for fir::BoxCharType:

## Public Member Functions
CharacterType | getEleTy () const

## Static Public Member Functions
static BoxCharType | get (mlir::MLIRContext *ctxt, KindTy kind)
static bool | kindof (unsigned kind)

## Detailed Description

The type of a pair that describes a CHARACTER variable. Specifically, a CHARACTER consists of a reference to a buffer (the string value) and a LEN type parameter (the runtime length of the buffer).

The documentation for this class was generated from the following files:

- include/flang/Optimizer/Dialect/FIRType.h
- lib/Optimizer/Dialect/FIRType.cpp